# Rijndael.h File Reference

[Internal] AES encoding / decoding rijndael-alg-fst.h v2.0 August '99 Optimised ANSI C code taken from the 'aescrypt' project: www.sf.net/projects/aescrypt See LICENSE-EST for the license applicable to this file More...

`#include <stdio.h>`

## Defines

#define | MAXKC (256/32)

## Functions

int | cipherUpdateRounds (cipherInstance *cipher, keyInstance *key, BYTE *input, int inputLen, BYTE *outBuffer, int Rounds)

## Detailed Description

[Internal] AES encoding / decoding rijndael-alg-fst.h v2.0 August '99 Optimised ANSI C code taken from the 'aescrypt' project: www.sf.net/projects/aescrypt See LICENSE-EST for the license applicable to this file

## Define Documentation

#define MAXKC (256/32)

Note:
  Although the routines claim to support 192 and 256 bit blocks, don't take your chances - stick to the 128 bit (16 byte) blocks unless you've run tests to prove that 192 and 256 are correctly supported.
  - Cirilo

## Function Documentation

int cipherUpdateRounds | ( | cipherInstance * | cipher,
|  | keyInstance * | key,
|  | BYTE * | input,
|  | int inputLen | __UNUS,
|  | BYTE * | outBuffer,
|  | int | rounds |
| ) |  |  |

cipherUpdateRounds:

Encrypts/Decrypts exactly one full block a specified number of rounds. Only used in the Intermediate Value Known Answer Test.

Returns: TRUE - on success BAD_CIPHER_STATE - cipher in bad state (e.g., not initialized)